Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1058567

Summary: query-command-line-options command misses some options
Product: Red Hat Enterprise Linux 7 Reporter: Amos Kong <akong>
Component: qemu-kvm-rhevAssignee: Markus Armbruster <armbru>
Status: CLOSED UPSTREAM QA Contact: jingzhao <jinzhao>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.0CC: ailan, armbru, chayang, eblake, juzhang, knoel, lcapitulino, michen, qzhang, rbalakri, virt-maint
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-02 15:03:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Amos Kong 2014-01-28 04:09:50 UTC
Upstream discussion: 
  http://marc.info/?l=qemu-devel&m=139081830416684&w=2

QemuOpt is a new interface, not all the options have arguments converted to this interface. Some legacy options were lost (Upstream can accept this legacy issue).
But currently some new options without arguments was lost in the return output,
this should be fixed.

Problem exists in current query-command-line-options:
  * some new options haven't arguments can't be queried. (eg: -enable-fips)
  * some legcy options have arguments can't be queried. (eg: -vnc display)

Comment 1 Amos Kong 2014-01-28 04:11:01 UTC
Post patches to upstream:

http://lists.nongnu.org/archive/html/qemu-devel/2014-01/msg03660.html

 [PATCH 0/5] fix query-command-line-options
 [PATCH 1/5] qmp: rename query_option_descs() to get_param_infolist()
 [PATCH 2/5] introduce two marcos to dump the options info
 [PATCH 3/5] query-command-line-options: query all the options in qemu-options.hx
 [PATCH 4/5] introduce QEMU_OPTIONS_GENERATE_HELPMSG
 [PATCH 5/5] query-command-line-options: return help message for legacy options

Comment 2 Markus Armbruster 2014-01-28 10:11:01 UTC
There are more problems with query-command-line-options[*], but your list is enough for one bug.

[*] See https://lists.nongnu.org/archive/html/qemu-devel/2014-01/msg03707.html

Comment 9 Amos Kong 2015-05-21 23:11:34 UTC
latest posted version:

[Qemu-devel] [PATCH v6 0/3] fix query-command-line-options
http://lists.nongnu.org/archive/html/qemu-devel/2014-03/msg05222.html

Comment 12 jason wang 2015-09-07 07:56:14 UTC
Too late for 7.2. Defer to 7.3.